<?php
	/**
	 * The header for our theme.
	 *
	 * This is the template that displays all of the <head> section and everything up until <div id="content">
	 *
	 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
	 *
	 * @package Theme Palace
	 * @subpackage Pet Business Pro
	 * @since Pet Business Pro 1.0.0
	 */

	/**
	 * pet_business_pro_doctype hook
	 *
	 * @hooked pet_business_pro_doctype -  10
	 *
	 */
	do_action( 'pet_business_pro_doctype' );

?>
<head>
<?php
	/**
	 * pet_business_pro_before_wp_head hook
	 *
	 * @hooked pet_business_pro_head -  10
	 *
	 */
	do_action( 'pet_business_pro_before_wp_head' );

	wp_head(); 
?>
</head>

<body <?php body_class(); ?>>

<?php do_action( 'wp_body_open' ); ?>

<?php
	/**
	 * pet_business_pro_page_start_action hook
	 *
	 * @hooked pet_business_pro_page_start -  10
	 *
	 */
	do_action( 'pet_business_pro_page_start_action' ); 

	/**
	 * pet_business_pro_loader_action hook
	 *
	 * @hooked pet_business_pro_loader -  10
	 *
	 */
	do_action( 'pet_business_pro_before_header' );

	/**
	 * pet_business_pro_header_action hook
	 *
	 * @hooked pet_business_pro_header_start -  10
	 * @hooked pet_business_pro_sidr_menu -  15
	 * @hooked pet_business_pro_site_branding -  20
	 * @hooked pet_business_pro_site_navigation -  30
	 * @hooked pet_business_pro_header_end -  50
	 *
	 */
	do_action( 'pet_business_pro_header_action' );

	/**
	 * pet_business_pro_mobile_menu hook
	 *
	 * @hooked pet_business_pro_mobile_menu -  10
	 *
	 */
	do_action( 'pet_business_pro_mobile_menu' );

	/**
	 * pet_business_pro_content_start_action hook
	 *
	 * @hooked pet_business_pro_content_start -  10
	 *
	 */
	do_action( 'pet_business_pro_content_start_action' );

	/**
	 * pet_business_pro_header_image_action hook
	 *
	 * @hooked pet_business_pro_header_image -  10
	 *
	 */
	do_action( 'pet_business_pro_header_image_action' );

    if ( pet_business_pro_is_frontpage() ) {

    	$options = pet_business_pro_get_theme_options();
    	if ( $options['home_layout'] == 'default-design' ) {
			$sections = array( 'slider', 'service', 'about', 'project', 'testimonial', 'product', 'pricing', 'cta', 'team', 'counter', 'blog', 'contact', 'client' );
			foreach ( $sections as $section ) {
				add_action( 'pet_business_pro_primary_content', 'pet_business_pro_add_'. $section .'_section', pet_business_pro_sort( $section ) );
			}
		}
 
		if ( $options['home_layout'] == 'second-design' ) {
			$sections = array( 'slider', 'project', 'popular_post', 'blog' );
		}

		if ( $options['home_layout'] == 'third-design' ) {
			$sections = array( 'slider', 'service', 'about', 'popular_post', 'cta', 'project', 'testimonial', 'team', 'blog' );
		}

		if ( $options['home_layout'] == 'fourth-design' ) {
			$sections = array( 'slider', 'project', 'about', 'service', 'team', 'reason', 'blog' );
		}

		if ( $options['home_layout'] == 'fifth-design' ) {
			$sections = array( 'slider', 'must', 'about', 'most', 'project', 'blog' );
		}

		if ( $options['home_layout'] !== 'default-design' ) {
			foreach ( $sections as $section ) {
				add_action( 'pet_business_pro_primary_content', 'pet_business_pro_add_'. $section .'_section' );
			}
		}
		
		do_action( 'pet_business_pro_primary_content' );
	}