<?php
/**
 * Topbar Section options
 *
 * @package Theme Palace
 * @subpackage Pet Business Pro
 * @since Pet Business Pro 1.0.0
 */

// Add Topbar section
$wp_customize->add_section( 'pet_business_pro_topbar_section', array(
	'title'             => esc_html__( 'Topbar','pet-business-pro' ),
	'description'       => esc_html__( 'Topbar Section options.', 'pet-business-pro' ),
	'panel'             => 'pet_business_pro_front_page_panel',
	) );

// Topbar content enable control and setting
$wp_customize->add_setting( 'pet_business_pro_theme_options[topbar_section_enable]', array(
	'default'			=> 	$options['topbar_section_enable'],
	'sanitize_callback' => 'pet_business_pro_sanitize_switch_control',
	) );

$wp_customize->add_control( new Pet_Business_Pro_Switch_Control( $wp_customize, 'pet_business_pro_theme_options[topbar_section_enable]', array(
	'label'             => esc_html__( 'Topbar Section Enable', 'pet-business-pro' ),
	'description'       => sprintf( '%1$s <a class="details-social-deeplink" href="#"> %2$s </a> %3$s', esc_html__( 'Note: To show social menu.', 'pet-business-pro' ), esc_html__( 'Click Here', 'pet-business-pro' ), esc_html__( 'to create menu', 'pet-business-pro' ) ),
	'section'           => 'pet_business_pro_topbar_section',
	'on_off_label' 		=> pet_business_pro_switch_options(),
	) ) );

// Login text setting and control
$wp_customize->add_setting( 'pet_business_pro_theme_options[phone_no]', array(
	'sanitize_callback' => 'sanitize_text_field',
	'default'			=> $options['phone_no'],
	) );

$wp_customize->add_control( 'pet_business_pro_theme_options[phone_no]', array(
	'label'           	=> esc_html__( 'Phone No.', 'pet-business-pro' ),
	'section'        	=> 'pet_business_pro_topbar_section',
	'active_callback' 	=> 'pet_business_pro_is_topbar_section_enable',
	'type'				=> 'text',
	) );

// Login text setting and control
$wp_customize->add_setting( 'pet_business_pro_theme_options[email_address]', array(
	'sanitize_callback' => 'sanitize_text_field',
	'default'			=> $options['email_address'],
	) );

$wp_customize->add_control( 'pet_business_pro_theme_options[email_address]', array(
	'label'           	=> esc_html__( 'Email ID', 'pet-business-pro' ),
	'section'        	=> 'pet_business_pro_topbar_section',
	'active_callback' 	=> 'pet_business_pro_is_topbar_section_enable',
	'type'				=> 'text',
	) );
